@import 'vars.css';

.preview-wrap {
    position: relative;
    /*overflow: hidden;*/
    margin-top: 10px;
}

    .preview-wrap .wrap_img {
        position: relative;
    }

    .preview-wrap svg {
        width: 100%;
        height: auto;
        margin-bottom: -1px;
        position: relative;
        z-index: 1;
        vertical-align: top;
    }

        .preview-wrap svg g {
            fill: #fff;
        }

    .preview-wrap .wrap_img img.absolute_map {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        object-fit: cover;
    }

    .preview-wrap .info {
        width: 560px;
        position: absolute;
        max-width: 100%;
        /*
	right: 140px;
	bottom: 200px;
	*/
        right: 80px;
        bottom: 265px;
        font-weight: 300;
        text-align: right;
        z-index: 3;
        color: #fff;
    }


.area_info {
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    z-index: 3;
    cursor: pointer;
    transform: translate(-15px,-15px);
}

    .area_info .point {
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background: #DEEBB5;
        margin: 10px;
        position: relative;
        /*opacity: 0;*/
        transition: 0.3s all;
    }

    .area_info:hover .point {
        opacity: 1;
    }

    .area_info .point:after {
        top: 0;
        left: 0;
        padding: 0;
        z-index: -1;
        box-shadow: 0 0 0 2px #fcba1d;
        opacity: 1;
        pointer-events: none;
        position: absolute;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        content: '';
        transform: scale(0.9);
        -webkit-animation-duration: 1s;
        animation-duration: 1s;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;
        -webkit-animation-timing-function: linear;
        animation-timing-function: linear;
        animation-iteration-count: infinite;
        -webkit-animation-iteration-count: infinite;
        -webkit-animation-name: sonarEffect;
        animation-name: sonarEffect;
    }

    .area_info:hover .point {
        background: #669999;
    }

    .area_info .point:before {
        position: absolute;
        content: '';
        width: 2px;
        left: 4px;
        background: #DEEBB5;
        transition: 0.5s all;
        bottom: 5px;
        /*height: 0;*/
        height: 0;
    }

    .area_info:hover .point:before {
        height: 170px;
    }

    .area_info ._info {
        position: absolute;
        bottom: 170px;
        min-width: 175px;
        white-space: nowrap;
        padding: 5px;
        background: #DEEBB5;
        color: #435727;
        border-top-right-radius: 25px;
        font-size: 14px;
        font-weight: 600;
        line-height: 0.8;
        left: 50%;
        transform: translateX(-50%);
        opacity: 0;
        transition: 0.3s all;
        min-height: 46px;
        align-items: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        visibility: hidden;
    }

    .area_info.area_5 ._info {
        bottom: 155px;
    }

    .area_info.area_2 ._info {
    }

    .area_info.area_2 .point:before {
    }

    .area_info:hover ._info {
        opacity: 1;
        transition-delay: 0.3s;
        visibility: visible;
    }

@media(max-width: 1440px) {
    .preview-wrap .info {
        bottom: 210px;
        right: 60px;
        font-size: 13px;
    }
}
@media(max-width: 992px) {
    .preview-wrap .info {
        position: static;
        margin: auto;
        color: var(--color-black);
        text-align: center;
    }
}

@media(max-width: 640px) {
    .preview-wrap .info {
        padding: 15px;
    }
}